Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.option.local
Class Numberer_da

    java.lang.Object
      net.sf.saxon.expr.number.AbstractNumberer
          net.sf.saxon.option.local.Numberer_da

All Implemented Interfaces:
  Serializable, Numberer

    public class Numberer_da

extends AbstractNumberer

Localization class for Danish.

Author:
  Karel Goossens BTR-Services Belgium. Numberer class for the Danish language.
See Also:
  "http://en.wikipedia.org/wiki/Danish_grammar#Numerals", Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.expr.number.AbstractNumberer
`cyrillicLower, cyrillicUpper, greekLower, greekUpper, hebrew, hiraganaA, hiraganaI, katakanaA, katakanaI, latinLower, latinUpper, LOWER_CASE, TITLE_CASE, UPPER_CASE, westernDigits`

Constructor Summary
`Numberer_da()`

Method Summary
`String` | `dayName(int day, int minWidth, int maxWidth)` Get a day name or abbreviation
`String` | `monthName(int month, int minWidth, int maxWidth)` Get a month name or abbreviation
`String` | `toOrdinalWords(String ordinalParam, long number, int wordCase)` Show an ordinal number as Danish words in a requested case (for example, Twentyfirst)
`String` | `toWords(long number)` Show the number as words in title case.
`String` | `toWords(long number, int wordCase)` Format a number as English words with specified case options

Methods inherited from class net.sf.saxon.expr.number.AbstractNumberer
`alphaDefault, format, format, getCalendarName, getCountry, getEraName, getOrdinalSuffixForDateTime, halfDayName, ordinalSuffix, setCountry, toAlpha, toAlphaSequence, toJapanese, toRoman`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Numberer_da

    public Numberer_da()

Method Detail

### toOrdinalWords

    public String toOrdinalWords(String ordinalParam,
                                 long number,
                                 int wordCase)

  Show an ordinal number as Danish words in a requested case (for example, Twentyfirst)

  Specified by:
    `toOrdinalWords` in class `AbstractNumberer`
  Parameters:
    `ordinalParam` - the value of the "ordinal" attribute as supplied by the user
    `number` - the number to be formatted
    `wordCase` - the required case for example `AbstractNumberer.UPPER_CASE`, `AbstractNumberer.LOWER_CASE`, `AbstractNumberer.TITLE_CASE`
  Returns:
    the formatted number

### toWords

    public String toWords(long number)

  Description copied from class: `AbstractNumberer`
  Show the number as words in title case. (We choose title case because the result can then be converted algorithmically to lower case or upper case).

  Specified by:
    `toWords` in class `AbstractNumberer`
  Parameters:
    `number` - the number to be formatted
  Returns:
    the number formatted as English words

### toWords

    public String toWords(long number,
                          int wordCase)

  Description copied from class: `AbstractNumberer`
  Format a number as English words with specified case options

  Overrides:
    `toWords` in class `AbstractNumberer`
  Parameters:
    `number` - the number to be formatted
    `wordCase` - the required case for example `AbstractNumberer.UPPER_CASE`, `AbstractNumberer.LOWER_CASE`, `AbstractNumberer.TITLE_CASE`
  Returns:
    the formatted number

### monthName

    public String monthName(int month,
                            int minWidth,
                            int maxWidth)

  Get a month name or abbreviation

  Specified by:
    `monthName` in interface `Numberer`
  Specified by:
    `monthName` in class `AbstractNumberer`
  Parameters:
    `month` - The month number (1=January, 12=December)
    `minWidth` - The minimum number of characters
    `maxWidth` - The maximum number of characters
  Returns:
    the month name or abbreviation as a string (for example, "September" or "Sep")

### dayName

    public String dayName(int day,
                          int minWidth,
                          int maxWidth)

  Get a day name or abbreviation

  Specified by:
    `dayName` in interface `Numberer`
  Specified by:
    `dayName` in class `AbstractNumberer`
  Parameters:
    `day` - The day of the week (1=Monday, 7=Sunday)
    `minWidth` - The minimum number of characters
    `maxWidth` - The maximum number of characters
  Returns:
    the day name or abbreviation as a string (for example, "Monday" or "Mon")

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.